[VisualLISP] VLA-GETEXTENSIONDICTIONARY


Recommended Posts

Witam

Przerabiam lispy na platformę ZwCAD i napotkałem taki oto problem:

W ACAD jest OK

Command: (vl-load-com)

Command: (setq oExtendSlownik (vla-getextensiondictionary (vla-get-layers

(vla-get-activedocument (if (= (getvar "PRODUCT") "ZWCAD")

(vlax-get-zwcad-object) (vlax-get-acad-object))))))

#

W ZwCAD :-(

Command: (vl-load-com)

Command: (SETQ OEXTENDSLOWNIK (VLA-GETEXTENSIONDICTIONARY (VLA-GET-LAYERS (VLA-GET-ACTIVEDOCUMENT (IF (= (GETVAR "PRODUCT") "ZWCAD") (VLAX-GET-ZWCAD-OBJECT) (VLAX-GET-ACAD-OBJECT))))))

error: bad argument

(VLA-GETEXTENSIONDICTIONARY (VLA-GET-LAYERS (VLA-GET-ACTIVEDOCUMENT (IF (= (GETVAR "PRODUCT") "ZWCAD") (VLAX-GET-ZWCAD-OBJECT) (VLAX-GET-ACAD-OBJECT)))))

(SETQ OEXTENDSLOWNIK (VLA-GETEXTENSIONDICTIONARY (VLA-GET-LAYERS (VLA-GET-ACTIVEDOCUMENT (IF (= (GETVAR "PRODUCT") "ZWCAD") (VLAX-GET-ZWCAD-OBJECT) (VLAX-GET-ACAD-OBJECT))))))

Winowajcą jest funkcja jak w temacie.

Czy składnia funkcji VLA-GETEXTENSIONDICTIONARY różni się na platformach czy może nie jest prawidłowo zaimplementowana?

Link to comment
Share on other sites

GetExtensionDictionary w ZWCAD nie da się zapisać do kolekcji warstw.

Być może będzie trzeba na to poczekać. W pomocy dla programisty wymienione są typy obiektów, do których można zapisać słowniki: AttributeReference , Block , Dictionary , DimStyle , Group , Layer , Linetype , PlotConfiguration , RegisteredApplication , TextStyle , UCS , View , Viewport , XRecord

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share